<?php

namespace HCM\Geral\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;

class GpeCboEntity extends TkEntity
{
	private $_nrOrg;
    private $_nrOrgPadrao;

    public function __construct($entityManager, $hcmParameters){

        parent::__construct(null, $entityManager);
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->_nrOrg = $hcmParameters->getNrorgTrabalho();
        $this->_nrOrgPadrao = $hcmParameters->getNrorgPadrao();
    }

    public function retornaCbo($nrCbo){
        return $this->entityManager->getRepository(Repositories::GPE_CBO)->retornaCbo($nrCbo);
    }

    public static function getCboPorDescricao($nmcbo) {
        $cbo = self::getEntityByWhere('NMCBO = ?', array($nmcbo));
        return $cbo;
    }

}

